# Create a relationship between Assets. Create a bidirectional relationship between a primary Asset and one or more secondary Assets. Asset relationships allow a user to quickly navigate from one Asset to another related Asset. The user attempting to create a relationship using Asset must be granted the Relationship Security Template permission on the Asset. Endpoint: POST /asset/{id}/link Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) Asset object ID ## Request fields (application/json): - `secondaryIds` (array) - `secondaryIds.id` (string) ID of the secondary asset - `secondaryIds.linkType` (string) A relationship type Enum: "child", "derivative", "placed-graphic" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)